

@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');




* {
    margin: 0%;
    padding: 0%;
}

:root{
    --shadow:#83838378;
    --bgcolor:#1d6ecb;
        /* background-image: linear-gradient(to right, rgba(0, 0, 0, .246), var(--bgcolor), rgba(0, 0, 0, .246)); */
    --jhatucolor:#000000;
    --small: #333333;
    --wh:#ffffff;
    --gra:#aeaeae;
    --head:#1c0000;
    --bgshadow:#ffffff8c;
    --linearcolor:linear-gradient(to bottom,rgba(231, 230, 230, 0.116),rgba(245, 245, 245, 0.295),rgba(245, 245, 245, 0.137),rgba(245, 245, 245, 0.158))
}

header {
    background: var(--jhatucolor);
    height: 37px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 30px;
}

.for_sticky {
    position: sticky;
    top: 0px;
    z-index:1;
}

nav {
    height: 50px;
    /* position: sticky; */
    /* top: 0px; */
    z-index: 999;
    display: flex;
    justify-content: space-between;
    align-items: center;
    /* padding: 0px 40px; */
    background:url(../images/background.jpg);
}

.menu_bar {
    color: var(--wh);
    font-size: 25px;
    margin-left: 20px;
    visibility: hidden;
}

.log_in {
    background: var(--jhatucolor);
    padding: 10px 20px;
    font-family: arial;
    border-radius: 30px;
    color: var(--wh);
}

.all_icon_in_header {
    display: flex;
    gap: 9px;
    color: var(--wh);
}

.data_in_header {
    display: flex;
    gap: 10px;
}

.icon_data_in_header {
    color: var(--wh);
    font-size: 15px;
}

.icon_data_in_header1 {
    color: var(--wh);
    font-size: 15px;
    display: none;
}

.text_in_data_header {
    color: var(--wh);
    font-family: arial;
    font-size: 15px;
    text-decoration: none;
}

.parent {
    display: flex;
    position: relative;
    /* top: 70px; */
    /* border: 1px solid red; */
    justify-content: space-between;
}

#menu {
    /* position: sticky; */
    /* top: 0px; */
    /* left: -100%; */
    width: 25%;
    height: 90.7vh;
    /* border: 1px solid red; */
    overflow-x: auto;
    /* justify-items: center; */
    /* background: #f2f3f7; */
    background:url("../images/background.jpg");
    scrollbar-width: thin;
    /* box-sizing:content-box; */
    z-index: 200;
    color: var(--wh);

}

.middle_in_parent_baner {
    /* border: 1px solid red; */
    width: 85%;
    height: fit-content;
    /* overflow-Y: auto; */
    /* z-index: 999; */
    /* scrollbar-width: none; */
    position: relative;
    margin-bottom: 100px;
    /* display: flex; */
}

.for_overflow {
    display: flex;
    overflow: auto;
    scrollbar-width: none;
    height: 90.7vh;
    width: 78%;
    background: url("../images/background.jpg");
}

.right_in_parent_baner {
    width: 15%;
    height: 100%;
    position: sticky;
    /* right: 0px; */
    top: 0px;
    /* z-index: -1; */
    /* position: sticky;
    top: 0px; */
    background:url(../images/background.jpg);
    /* position: absolute;
    right: 0%;
    top: 0px; */
}

.for_center {
    justify-items: center;
}

.right_all_data_of_nav {
    display: flex;
    margin-right: 30px;
    gap: 20px;
}

.search_bar_in_nav {
    display: flex;
    background: var(--wh);
    width: 200px;
    align-items: center;
    padding-right: 15px;
    border-radius: 30px;
    overflow: hidden;
    border: 1px solid rgb(192, 191, 191);
}

.search_input {
    outline: none;
    border: none;
    height: 100%;
    margin-right: 5px;
    padding-left: 15px;
    box-shadow: 0px 0px 3px 0px rgb(160, 159, 159);
}
.in_menu_logo_pic{
    perspective: 500px;
}
.pic_of_web {
    height: 150px;
    width: 150px;
    /* border: 1px solid red; */
    border-radius: 50%;
    /* margin-top: 40px; */
    /* margin-left: 23%; */
    overflow: hidden;
    margin-top: 10px;
    box-shadow: -4px -2px 3px 3px var(--bgcolor);
    /* transition: 2s all ease; */
    position: relative;
}
.pic_of_web:after{
    content: '';
    height: 20px;
    width: 150%;
    background:var(--linearcolor);
    position: absolute;
    /* top: 15%;
    left: -70%; */
    z-index: 22;
    transform: rotate(-50deg);
    animation: r 4s linear infinite;

}
/* .pic_of_web:hover{
    animation: none;
} */
@keyframes r {
    0%{
         top: 6%;
    left: -70%;
    }

    /* 0%,100%{
        top:0px;
        left: 50px;
    } */
    10%,100%{
        top: 100%;
        left: 30%;
        
    }
}

.heading_in_menu {
    font-family: system-ui, Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-size: 25px;
    font-weight: 500;
    margin: 20px 0px 10px 0px;
}

.sub_heading_in_menu {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    color: var(--headingcolor);
    font-weight: 300;
    font-size: 15px;
}

#main_menu_home {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 30px;
    /* width: 100%; */
    /* gap: 65%; */
    padding: 0px 15px;
    margin-top: 20px;
    font-family: arial;
    font-size: 15px;
    cursor: pointer;
}

/* .left_text{
    margin-left: 20px;
} */

#right_icon {
    transition: 0.5s all ease;

}

#drop_down_of_home {
    width: 100%;
    display: none;
}

.data_of_home {
    font-family: arial;
    height: 40px;
    padding-left: 30px;
    font-size: 15px;
    align-content: center;
    color: var(--wh);
}
#drop_down_of_home2 a{
    text-decoration: none;
}

#main_menu_home1 {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 30px;
    /* width: 100%; */
    /* gap: 65%; */
    padding: 0px 15px;
    margin-top: 20px;
    font-family: arial;
    font-size: 15px;
    color: var(--wh);
    cursor: pointer;
}

#right_icon1 {
    transition: 0.5s all ease;

}

#drop_down_of_home1 {
    width: 100%;
    display: none;
}

#drop_down_of_home1 a{
    text-decoration: none;
}

#main_menu_home2 {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 30px;
    /* width: 100%; */
    /* gap: 65%; */
    padding: 0px 15px;
    margin-top: 20px;
    font-family: arial;
    font-size: 15px;
    color: var(--wh);
    cursor: pointer;
}

#right_icon2 {
    transition: 0.5s all ease;

}

#drop_down_of_home2 {
    width: 100%;
    display: none;
}

#main_menu_home3 {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 30px;
    /* width: 100%; */
    /* gap: 65%; */
    padding: 0px 15px;
    margin-top: 20px;
    font-family: arial;
    font-size: 15px;
    color: var(--home_menu);
    cursor: pointer;
}

#right_icon3 {
    transition: 0.5s all ease;

}

#drop_down_of_home3 {
    width: 100%;
    display: none;
}
#drop_down_of_home3 a{
    text-decoration: none;
}

#main_menu_home4 {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 30px;
    /* width: 100%; */
    /* gap: 65%; */
    padding: 0px 15px;
    margin-top: 20px;
    font-family: arial;
    font-size: 15px;
    color: var(--home_menu);
    cursor: pointer;
}

#right_icon4 {
    transition: 0.5s all ease;

}

#drop_down_of_home4 {
    width: 100%;
    display: none;
}

footer {
    /* border: 1px solid red; */
    /* position: absolute; */
    /* width:100vw; */
    height: 92.2vh;
    z-index: 999;
    background: var(--small);
    position: sticky;
    top: 0px;
    overflow: hidden;
    justify-items: center;
}
.submit_in_footer{
    background: var(--jhatucolor);
    padding: 0px 20px;
    font-family: arial;
    height: 100%;
    border: none;
    align-content: center;
    /* border: 1px solid var(--menubackground); */
    color: var(--wh);
}
.email_input{
    padding-left: 15px;
    width: 100%;
    height: 100%;

    border:none;
}
.email_input::placeholder{
    font-size: 15px;
    /* word-spacing: 5px; */
}
.top_in_footer{
    /* border: 1px solid red; */
    margin-top: 50px;
    width: 35%;
    height: 50px;
    display: flex;
    /* border: 1px solid var(); */
}
.bottom_in_footer{
    display: flex;
    justify-content: space-between;
    margin-top: 90px;
    width: 85%;
    gap: 30px;
    flex-wrap: wrap;
}
.heading_in_footer_box{
    color: var(--wh);
    font-family: 'inter';
    font-weight: 700;
    font-size: 16px;
    margin-bottom: 27px;
}
.data_in_footer_box{
    font-family: 'inter';
    color: var(--wh);
    margin-top: 10px;
}
.last_part_of_page{
    background: var(--jhatucolor);
    height: 80px;
    width: 100%;
    margin-top: 95px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.footer_icons{
   
    background: var(--gra);
}
.all_icon_in_footer{
    display: flex;
    gap: 10px;
    margin-left: 3%;
}
.footer_icons{
    height: 40px;
    width: 40px;
    display:flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
}
.text_in_footer{
    color: var(--wh);
    font-family: 'inter';
    font-size: 15px;
    margin-right: 4%;
    word-spacing: 2px;
    font-weight: 350;
}

/* .parent_of_ad{
    display: flex;
    justify-content: center;
    margin-top: 35px;
} */
/* .ad_in_middle{
    width: 50%;
    height: 50px;
    background:url("../images/collage_we_pic.jpg");
    background-size:100% 100%;
     display: flex;
    align-items: center;
    justify-content: end;
    border-radius: 3px;
} */
/* .ad_in_middle button{
    height: 27px;
    width: 115px;
   border: none;
   margin-right: 15px;
   border-radius: 20px;
    font-family:'inter';
    background:var(--bgcolor);
    color: var(--wh);
} */
.all_baner_data{
    margin-top: 70px;
    display: flex;
    padding: 0px 8% 0px 6%;
    align-items: center;
    justify-content: space-between;
}
.all_baner_data .left_in_all_baner_data h1{
    font-size: 40px;
    font-family: 'inter';
    color: var(--wh);
    /* margin-top: 40px; */
    /* margin-left: 7%; */
}
.all_baner_data .left_in_all_baner_data h2{
    font-size: 16px;
    font-family: 'inter';
    margin-top: 30px;
    font-weight: 400;
    color: var(--wh);
}
.all_baner_data .left_in_all_baner_data .registration_button{
    background: var(--bgcolor);
    /* background-image: linear-gradient(to right, rgba(0, 0, 0, .246), var(--bgcolor), rgba(0, 0, 0, .246)); */
    border: none;
    color: var(--wh);
    padding: 13px 20px;
    font-size: 17px;
    border-radius: 30px;
    margin-top: 30px;
    /* box-shadow: 1px 1px 10px 0px var(--bgshadow); */
}
.all_baner_data .right_in_all_baner_data .main_box {
    border: 1px solid red;
    height: 200px;
    width: 200px;
    perspective: 200px;
    transform: rotateX(97deg) skewX(27deg);
}

.all_baner_data .right_in_all_baner_data .main_box .box1{
    position: relative;
    height: 100%;
    width: 100%;
    border: 10px solid black;
    transform-style: preserve-3d;
    transform: rotateX(-100deg);
    transform-origin: 0% 30%;
}

#main_menu_home5 {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 30px;
    /* width: 100%; */
    /* gap: 65%; */
    padding: 0px 15px;
    margin-top: 20px;
    font-family: arial;
    font-size: 15px;
    color: var(--home_menu);
    cursor: pointer;
    margin-bottom: 30px;
}
.demo_bloging_parent{
    display: flex;
    flex-wrap: wrap;
    padding: 0px 30px;
    margin-top: 50px;
    margin-bottom: 50px;
    /* border: 1px solid red; */
    gap: 20px;
    justify-content: center;

}
.demo_bloging_parent .box_in_demo_blog{
    /* height: 150px;
    width: 254px;
    border: 1px solid red;
    border-radius: 5px; */
    background:linear-gradient(to right,var(--gra),var(--wh),var(--gra));
      border-radius: 5px;
    overflow: hidden;
    width: 250px;
}
.demo_bloging_parent .box_in_demo_blog .video_in_box_demo_blog{
     height:200px;
    /* border: 1px solid var(--bgshadow); */
    /* border: 1px solid red; */
    /* border-radius: 5px; */
    justify-items: center;
    /* border-radius: 3px; */
    background:var(--jhatucolor);
}
.demo_bloging_parent .box_in_demo_blog .video_in_box_demo_blog video{
    height: 100%;
    /* width: 100%; */
    /* border-radius: 1px; */
}
.demo_bloging_parent .box_in_demo_blog .data_in_box_demo_blog{
    display: flex;
    justify-content: space-between;
    padding: 0px 10px;
    margin-top: 15px;
    margin-bottom: 15px;
    align-items: center;
}
.demo_bloging_parent .box_in_demo_blog .data_in_box_demo_blog .text_in_box_demo_blog{
    color: var(--jhatucolor);
    font-family: 'inter';
    font-weight: 600;
}
.demo_bloging_parent .box_in_demo_blog .data_in_box_demo_blog button{
    background: var(--bgcolor);
    border: none;
    height:30px ;
    width: 98px;
    color: var(--wh);
    border-radius: 3px;
}
.latest_posted_heading{
    color: white;
    font-family: 'inter';
    margin-left: 6%;
    font-size: 30px;
    font-weight: 600;
}
.latest_posted_heading span{
    font-weight: 700;
    margin-left: 10px;
    font-size: 35px;
}
@media (max-width:1148px) {
        #menu {
        width: 30%;
    }
}

@media (max-width:1000px) {
        #menu {
        width: 35%;
    }
    .bottom_in_footer{
        justify-content: center;
        gap: 40px;

    }
    footer{
        height: auto;
    }

}

@media (max-width:840px) {
    .menu_bar {
        visibility: visible;
    }

    #menu {
        position: absolute;
        left: -100%;
        top: 0%;
        width: 300px;
    }

   .for_overflow{
    width: 100%;
    flex-direction: row-reverse;
   }

    .middle_in_parent_baner {
        width: 85%;
    }
       .text_in_data_header {
        display: none;
    }

    .all_icon_in_header {
        gap: 29px;
    }
    .ad_in_middle{
        width: 73%;
    }
    .last_part_of_page{
        flex-direction: column;
        padding: 20px 0px;
    }
    .top_in_footer{
        width: 77%;
    }
}



@media (max-width:420px) {
    .search_input {
        display: none;
        /* background-color: none; */
    }

    .search_bar_in_nav {
        width: 20px;
        background-color: var(--menubackground);
        border: none;
        /* padding: 0%; */
    }

    .search_icon {
        /* height: 30px; */
        width: 0px;
    }
    .footer_icons{
        height: 30px;
        width: 30px;
    }
}

@media (max-width:300px) {
    header {
        gap: 20px;
    }

    .all_icon_in_header {
        gap: 20px;
    }
}